首页 > Linux故障排查, Ubuntu/Debian操作系统 > AirCRM on Ubuntu 16.04 64bit Installation Issue. HELP

AirCRM on Ubuntu 16.04 64bit Installation Issue. HELP

2016年11月25日

AirCRM on Ubuntu 16.04 64bit Installation Issue. HELP

https://community.ubnt.com/t5/U-CRM-Control-Beta/AirCRM-on-Ubuntu-16-04-64bit-Installation-Issue-HELP/td-p/1545302

[email protected]:/home/lsti# gdebi crmpoint_0.3.5_amd64.deb
Reading package lists… Done
Building dependency tree
Reading state information… Done
Reading state information… Done
This package is uninstallable
Dependency is not satisfiable: libmysqlclient18

[email protected]:/home/lsti# apt-get install libmysqlclient18
Reading package lists… Done
Building dependency tree
Reading state information… Done
Package libmysqlclient18 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package ‘libmysqlclient18’ has no installation candidate
[email protected]:/home/lsti#

 

To answer the OPs question with regards to getting CRM running on 16.04. It works fine on 16.04, but libmysqlclient18 is not in the repository so apt-get won’t install it with -f. I had to download the .deb package from the ubuntu arcives here archive.ubuntu.com/ubuntu/pool/main/m/mysql-5.6/libmysqlclient18_5.6.25-0ubuntu1_amd64.deb
and install manually using ‘dpkg -i /path/to/.deb’ then run the dpkg install for CRM.

So for 16.04 follow the installation instructions provided here: community.ubnt.com/t5/U-CRM-Control-Beta/U-CRM-Control-Beta/m-p/1372251#U1372251

But insert the following commands between steps 2 and 3:

wget http://archive.ubuntu.com/ubuntu/pool/main/m/mysql-5.6/libmysqlclient18_5.6.25-0ubuntu1_amd64.deb

sudo dpkg -i /path/to/package/crmpoint_0.3.5_amd64.deb

 

 

 

本文的评论功能被关闭了.